## dvr 3.2

=== Makefile ===
SUBDIRS=lib dvr-console dvr-qtgui

all: $(SUBDIRS)
	cd lib && $(MAKE)
	cd dvr-console && $(MAKE)
	cd dvr-qtgui && ./configure && $(MAKE)
	
install: 
	for i in $(SUBDIRS); do cd $$i && make $@; cd ..; done
	mkdir -p ${prefix}/share/doc
	cp -r doc ${prefix}/share/doc/dvr-${version}
	chmod -R 0755 ${prefix}/share/doc/dvr-${version}

clean: 
	for i in $(SUBDIRS); do cd $$i && make $@; cd ..; done
	rm -f *~

distclean: clean

rpm:
	cd rpm && $(MAKE)
