=== dvr-console/Makefile ===
AIM=dvr-console

CPP_FILES=main conf_analysis_yy

CXXFLAGS=-Wall -O2 -I../lib -g
LDFLAGS=-lz -L/usr/local/lib -laviplay -L../lib -ldvr

############## generic part ########################
all: $(AIM)
CPP_OBJECTS=$(CPP_FILES)
OBJECTS=$(CPP_OBJECTS)


$(AIM): $(OBJECTS:=.o) ../lib/libdvr.a
	$(CXX) -o $@ $^ $(LDFLAGS)

$(CPP_OBJECTS:=.o): %.o:%.cpp
	$(CXX) -c $(CXXFLAGS) $<

conf_analysis_yy.cpp: conf_analysis.yy
	flex -o$@ $<	
	
clean:
	rm -f *~ *.o $(AIM) conf_analysis_yy.cpp

distclean: clean

install: $(AIM)
	mkdir -p ${prefix}/bin
	install -s -m 755 $(AIM) ${prefix}/bin
