=== dvr-qtgui/Makefile ===
####################################################
############## configuration part ##################
AIM=dvr-qtgui


QT_UI_FILES=QAudioConfig QCodecConfig QTVConfig QDvrGUI QDeviceSelection
QT_IMPL_FILES=QAudioConfigImpl QCodecConfigImpl QTVConfigImpl QDvrGUIImpl qv4lwindow
CPP_FILES=main vidmode conf_analysis_yy video_monitoring
TRANSLATIONS=translations/dvr_de translations/dvr_fr

CXX=g++
CC=gcc
CXXFLAGS=-Wall -O2 -I../lib -DQT_THREAD_SUPPORT -DVERSION=\"${version}\"
LDFLAGS=-lqt-mt -lpthread -lXxf86vm -lXext -lXv -L/usr/X11R6/lib -L../lib -ldvr

############## generic part ########################
-include .config

QT_FILES=$(QT_UI_FILES) $(QT_IMPL_FILES)
CPP_OBJECTS=$(QT_FILES) $(QT_FILES:=.moc) $(CPP_FILES)
OBJECTS=$(CPP_OBJECTS)

all: config $(AIM)

config:
	@if [ ! -f .config ]; then echo "run ./configure first"; exit 1; fi
	
$(AIM): $(OBJECTS:=.o) ../lib/libdvr.a
	$(CXX) -o $@ $^ $(LIBRARIES) $(LDFLAGS)
	$(LRELEASE) $(AIM).pro

$(CPP_OBJECTS:=.o): %.o:%.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDES) $<

#$(QT_FILES:=.moc.o): %.moc.o:%.moc
#	$(CXX) -c $(CXXFLAGS) $(INCLUDES) $<

$(QT_FILES:=.moc.cpp): %.moc.cpp:%.h
	$(MOC) -o $@ $<

$(QT_UI_FILES:=.h): %.h:%.ui
	$(UIC) -o $*.h $*.ui

$(QT_UI_FILES:=.cpp): %.cpp:%.ui
	$(UIC) -o $*.h $*.ui
	$(UIC) -i $*.h -o $@ $<

conf_analysis_yy.cpp: conf_analysis.yy
	flex -o$@ $<	
	
clean:
	rm -f *~ $(QT_UI_FILES:=.h) $(QT_UI_FILES:=.cpp) $(QT_FILES:=.moc) $(QT_FILES:=.moc.cpp) *.o .config $(AIM) conf_analysis_yy.cpp 'c:\trace_b.txt' movie.avi

distclean: clean

install: $(AIM)
	mkdir -p ${prefix}/bin
	install -s -m 755 $(AIM) ${prefix}/bin
	mkdir -p ${prefix}/share/dvr-${version}/translations
	cp translations/*.qm ${prefix}/share/dvr-${version}/translations
