=== lib/Makefile ===
CXXFLAGS=-O2 -Wall -g

libdvr.a: dvr.o parameter_list.o v4l.o framepool.o dsp.o
	ar -r libdvr.a $^

.o.cpp:

install:

clean:
	rm -f *~ *.o libdvr.a

distclean: clean
