=== rpm/Makefile ===
all:
	./make_rpm
