=== debian/changelog ===
dvr (3.2-9.2ubuntu2) oneiric; urgency=low

  *lib/v4l.h 
   -Changed #include "linux/videodev.h" to #include <libv4l1-videodev.h> to fix FTBFS
  *debian/control
   -added libv4l-dev as build dependency to provide libv4l1-videodev
  *added quilt patch system 

 -- Florian Brandes <florian.brandes@gmx.de>  Sun, 25 Sep 2011 20:58:38 +0200

dvr (3.2-9.2ubuntu1) natty; urgency=low

  * dvr-{console,qtgui}/Makefile: add missing libraries to fix FTBFS.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 09 Jan 2011 21:20:16 +0300

dvr (3.2-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dvr.cpp:579: error: 'CodecInfo' has not been declared".
    Applied patch by Ilya Barygin (Closes: #556830)

 -- Bastian Venthur <venthur@debian.org>  Tue, 23 Feb 2010 17:50:39 +0100

dvr (3.2-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS using patch from  Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>. (Closes: #454893)
  * Drop build-dep on deprecated libqt3-compat-headers, patch from 
    Barry deFreese <bddebian@comcast.net>. (Closes: #464254)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:26:02 +0100

dvr (3.2-9) unstable; urgency=low

  * Include gcc4.3 patch from Martin (Closes: #417163)
  * Add Build-Depends: libdts-dev, Thanks to Jason Harrison
    - dvr - FTBFS: /usr/bin/ld: cannot find -ldts (Closes: #436351)
  * Switch to Debian KDE Extras Team
  * Add debian/compat: fixes lintian debian-rules-sets-DH_COMPAT
  * Add [ ! -f Makefile ] || $(MAKE) clean: fixes lintian debian-rules-
    ignores-make-clean-error
  * debian/menu section Applications/Menu: linitan menu-item-uses-
    apps-section
  * Architecture: i386 amd64 as thats where libavifile is

 -- Mark Purcell <msp@debian.org>  Sun, 19 Aug 2007 09:18:43 +0100

dvr (3.2-8) unstable; urgency=low

  * Cleanup debian/watch
  * Build-Depends: libxv-dev, Thanks Andreas
    - FTBFS: Missing Build-Depends on 'libxv-dev' (Closes: #373296)
  * dvr-qtgui crashes with segfault (Closes: #218031)
  * export DH_COMPAT=4
  * Fix: old-fsf-address-in-copyright-file

 -- Mark Purcell <msp@debian.org>  Thu, 15 Jun 2006 10:20:18 +1000

dvr (3.2-7) unstable; urgency=low

  * Build-Depends:  libqt3-mt-dev (>= 3:3.3.4-4)
  * Rebuild for C++ ABI

 -- Mark Purcell <msp@debian.org>  Thu, 18 Aug 2005 21:17:06 +0100

dvr (3.2-6) unstable; urgency=low

  * Rebuild for C++ ABI
  * Closes: #319431: FTBFS: Missing build-dependency on libxxf86vm-dev
    - Thanks Matt Kraai
  * Lintian cleanup: unquoted-string-in-menu-item /usr/share/menu/dvr
  * Lintian cleanup: multiline-field build-depends
  * Lintian cleanup: build-depends-on-essential-package-without-using-
    version build-depends
  * Lintian cleanup: packages-installs-file-to-usr-x11r6

 -- Mark Purcell <msp@debian.org>  Sat, 30 Jul 2005 15:13:27 +0100

dvr (3.2-5) unstable; urgency=low

  * remove chrpath (Closes: Bug#277140)

 -- Mark Purcell <msp@debian.org>  Sat, 13 Nov 2004 07:35:16 +1100

dvr (3.2-4) unstable; urgency=low

  * Closes: #264391: FTBFS: bashism in dvr-qtgui/configure
  * Thanks  Roland Stigge

 -- Mark Purcell <msp@debian.org>  Mon, 16 Aug 2004 21:17:35 +1000

dvr (3.2-3) unstable; urgency=low

  * Closes: #258632: FTBFS with gcc-3.4: array bound forbidden after
    parenthesized type-id
  * Apply Andreas Jochens patch for gcc-3.4 build

 -- Mark Purcell <msp@debian.org>  Sun, 11 Jul 2004 19:08:42 +1000

dvr (3.2-2) unstable; urgency=low

  * Use CVS Diff for /dvr/dvr/dvr-qtgui/qv4lwindow.cpp 

 -- Mark Purcell <msp@debian.org>  Wed, 24 Mar 2004 22:51:13 +1100

dvr (3.2-1) unstable; urgency=low

  * New upstream release
  * Grab patch to qv4lwindow.cpp, QDvrGUIImpl.cpp & QTVConfigImpl.cpp
    from upstream CVS to fix string conversion problem (Closes:
    Bug#237746)

 -- Mark Purcell <msp@debian.org>  Sat, 13 Mar 2004 22:18:02 +1100

dvr (3.1-2) unstable; urgency=low

  * Rebuild for unstable xlibs 4.3 (Closes: Bug#233253)

 -- Mark Purcell <msp@debian.org>  Tue, 24 Feb 2004 12:02:13 +1100

dvr (3.1-1) unstable; urgency=low

  * New upstream release
  * Change dvr-qtgui/QDvrGUIImpl.cpp to use /dev/video instead of
    video2. (Closes: Bug#211537)

 -- Mark Purcell <msp@debian.org>  Sat, 17 Jan 2004 18:48:53 +1100

dvr (2.9-3) unstable; urgency=low

  * Change dvr-qtgui/QDvrGUIImpl.cpp to use /dev/video instead of
    video2. (Closes: Bug#211537)

 -- Mark Purcell <msp@debian.org>  Fri, 19 Sep 2003 21:01:32 +1000

dvr (2.9-2) unstable; urgency=low

  * Rebuild for update in libavifile (Closes: Bug#211365)

 -- Mark Purcell <msp@debian.org>  Wed, 17 Sep 2003 22:14:48 +1000

dvr (2.9-1) unstable; urgency=low

  * New upstream release (Closes: Bug#147175)
  * Restructure debian package for dvr-{qtgui,console} variants
  * Lintian cleanup: menu-icon-has-bad-colors
    /usr/X11R6/include/X11/pixmaps/tv.xpm Icons in the Debian menu
    system should use only the 24 colors in /usr/share/pixmaps/cmap.xpm.

 -- Mark Purcell <msp@debian.org>  Tue, 19 Aug 2003 19:41:14 +1000

dvr (2.7.9-3-1) unstable; urgency=low

  * New upstream release
  * lintian cleanup: copyright-lists-upstream-authors-with-dh_make-
    boilerplate
  * lintian cleanup: description-synopsis-is-duplicated, extended-
    description-line-too-long
  * lintian cleanup: menu-icon-has-bad-colors
  * Closes NMU fixes (Closes: Bug#183880, Bug#181852)

 -- Mark Purcell <msp@debian.org>  Sat, 26 Apr 2003 12:56:11 +1000

dvr (2.7.9-2.1) unstable; urgency=high

  * NMU
  * Recompile with new libqt3 (added build-depend on libqt3-compat-headers)
    fixed configure qt3 header check (Closes: #183880)
  * Recompile with new libavifile (Closes: #181852)
  * Fixed flex transition problem

 -- Julien LEMOINE <speedblue@debian.org>  Thu, 24 Apr 2003 13:04:48 +0200

dvr (2.7.9-2) unstable; urgency=low

  * Include Build-Depends: chrpath (Closes: Bug#162863)

 -- Mark Purcell <msp@debian.org>  Sun,  6 Oct 2002 22:01:07 +1000

dvr (2.7.9-1) unstable; urgency=low

  * New upstream release

