=== debian/control ===
Source: dvr
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: debhelper, libxv-dev, libavifile-0.7-dev, flex, libxxf86vm-dev,  libqt3-mt-dev, libdts-dev, libv4l-dev
Standards-Version: 3.5.2

Package: dvr
Architecture: i386 amd64
Depends: ${shlibs:Depends}
Description: Digital Video Recorder
 DVR is a tool to record movies on a computer equipped with a
 Video4Linux-compatible video capture card. It can record and compress data at
 up to 25 fps in real time, using recent codecs like DivX, Indeo 5, MPEG4, and
 others.
 .
 Features include:   
  - support for writing data in segmented files (to avoid 2GB file size
     limitations)
  - support for recording audio in MP3 or PCM, with configurable frequency,
     mono/stereo, etc.
  - on-the-fly capture and compression (requires a fast processor)
  - horizontal margin removal during capture (saves disk space and processor
     resources when recording movies that have black top/bottom margins, such
      as 16/9)
  - detailed monitoring during recording (free space left, frames lost, CPU
     usage, etc.)
  - configurable record start time and duration
  - a large number of configurable parameters (size, image depth, codec
     attributes, TV parameters, etc.)
  - session management (saving parameters on exit and reloading them on launch)
  - simultaneous preview and capture
  - fullscreen preview
  - support for multi-processor machines
  - session management
  - a graphical user interface
 .
 Website: http://dvr.sourceforge.net
