=== debian/watch ===
# Example watch control file for uscan
version=2
# Site		Directory		Pattern			Version	Script
#http://prdownloads.sourceforge.net/dvr/dvr-2.6.tar.gz
#http://unc.dl.sourceforge.net/sourceforge/dvr/dvr-(.*)\.tar\.gz	debian	uupdate
http://sf.net/dvr/dvr-(.*)\.tar\.gz
